CVE-2015-5251

NameCVE-2015-5251
DescriptionOpenStack Image Service (Glance) before 2014.2.4 (juno) and 2015.1.x before 2015.1.2 (kilo) allow remote authenticated users to change the status of their images and bypass access restrictions via the HTTP x-image-meta-status header to images/*.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium (attack range: remote)
Debian Bugs799931

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
glance (PTS)wheezy2012.1.1-5vulnerable
jessie2014.1.3-12+deb8u1fixed
stretch2:13.0.0-4fixed
buster2:16.0.1-2fixed
sid2:16.0.1-6fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
glancesource(unstable)1:11.0.0-1medium799931
glancesourcejessie2014.1.3-12+deb8u1medium

Notes

[wheezy] - glance <no-dsa> (Minor issue)
<=2014.2.3, >=2015.1.0, <=2015.1.1

Search for package or bug name: Reporting problems